> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# talkwalker-content

> Talkwalker Content - documents, resources, topics, source panels, and image detection

**Server path:** `/talkwalker-content` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                  | Description                             |
| --------------------------------------------------------------------------------------------------------------------- | --------------------------------------- |
| [`talkwalker_content_add_project_custom_metric`](#talkwalker_content_add_project_custom_metric)                       | Add custom metrics                      |
| [`talkwalker_content_add_project_source_panel`](#talkwalker_content_add_project_source_panel)                         | Create a new panel                      |
| [`talkwalker_content_add_project_source_panel_group`](#talkwalker_content_add_project_source_panel_group)             | Create a new group of panels            |
| [`talkwalker_content_create_dataset_document`](#talkwalker_content_create_dataset_document)                           | Modify a batch of reviews               |
| [`talkwalker_content_create_project_document`](#talkwalker_content_create_project_document)                           | Modify a batch of documents             |
| [`talkwalker_content_delete_project_custom_metric`](#talkwalker_content_delete_project_custom_metric)                 | Delete custom metrics                   |
| [`talkwalker_content_delete_project_custom_metric_by_name`](#talkwalker_content_delete_project_custom_metric_by_name) | Delete specific custom metric           |
| [`talkwalker_content_delete_project_topics`](#talkwalker_content_delete_project_topics)                               | Delete a batch of topics                |
| [`talkwalker_content_get_detect_images`](#talkwalker_content_get_detect_images)                                       | Process an image by URL                 |
| [`talkwalker_content_get_project_resources`](#talkwalker_content_get_project_resources)                               | List of resources                       |
| [`talkwalker_content_get_project_tags`](#talkwalker_content_get_project_tags)                                         | List of custom tags                     |
| [`talkwalker_content_get_project_topic`](#talkwalker_content_get_project_topic)                                       | Retrieve definition of a specific topic |
| [`talkwalker_content_get_project_views`](#talkwalker_content_get_project_views)                                       | List of views                           |
| [`talkwalker_content_import_project_topics`](#talkwalker_content_import_project_topics)                               | Create or update a batch of topics      |
| [`talkwalker_content_list_project_custom_metrics`](#talkwalker_content_list_project_custom_metrics)                   | List of custom metrics                  |
| [`talkwalker_content_list_project_source_panels`](#talkwalker_content_list_project_source_panels)                     | List all panels with their members      |
| [`talkwalker_content_list_project_topics`](#talkwalker_content_list_project_topics)                                   | List topics with definitions            |
| [`talkwalker_content_perform_dataset_document_action`](#talkwalker_content_perform_dataset_document_action)           | Modify simple review                    |
| [`talkwalker_content_perform_project_document_action`](#talkwalker_content_perform_project_document_action)           | Modify simple document                  |
| [`talkwalker_content_post_detect_images`](#talkwalker_content_post_detect_images)                                     | Process an image by file                |
| [`talkwalker_content_update_project_custom_metric`](#talkwalker_content_update_project_custom_metric)                 | Update custom metrics                   |

***

## talkwalker\_content\_add\_project\_custom\_metric

Add custom metrics

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_add\_project\_source\_panel

Create a new panel

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_add\_project\_source\_panel\_group

Create a new group of panels

**Parameters:**

| Parameter      | Type   | Required | Default | Description            |
| -------------- | ------ | -------- | ------- | ---------------------- |
| `Content-Type` | string | No       | —       | The content-type value |
| `project_id`   | string | Yes      | —       | Project Id             |
| `body`         | object | No       | —       | Request body           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content-type value"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_create\_dataset\_document

Modify a batch of reviews

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                                                                            |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `annotate`                | string | No       | —       | Talkwalker API recalculates set field based on the updated content.                                                                                    |
| `return_entry`            | string | No       | —       | Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide                                               |
| `proc_tokens_calc`        | string | No       | —       | Specifies when and which tokens are generated. Allowed values: all\_if\_new, all\_always\_if\_possible. default value: all\_if\_new                    |
| `proc_lang_autodetect`    | string | No       | —       | Specifies when the language is automatically detected Allowed values: only\_if\_new, always\_if\_new\_content. Fefault value: only\_if\_new            |
| `proc_content_ellipsis`   | string | No       | —       | Special behavior for ellipsis in string fields. Allowed values: no\_special\_handling, ignore\_if\_start\_same. Default value: ignore\_if\_start\_same |
| `proc_lang_fallback`      | string | No       | —       | default language code: en                                                                                                                              |
| `proc_annotate_language`  | string | No       | —       | Language annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default e annotate\_if\_not\_set.                                           |
| `proc_annotate_sentiment` | string | No       | —       | Sentiment annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                     |
| `project_id`              | string | Yes      | —       | Project Id                                                                                                                                             |
| `dataset_id`              | string | Yes      | —       | Dataset Id                                                                                                                                             |
| `body`                    | object | No       | —       | Request body                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "annotate": {
        "type": "string",
        "description": "Talkwalker API recalculates set field based on the updated content."
      },
      "return_entry": {
        "type": "string",
        "description": "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
      },
      "proc_tokens_calc": {
        "type": "string",
        "description": "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
      },
      "proc_lang_autodetect": {
        "type": "string",
        "description": "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
      },
      "proc_content_ellipsis": {
        "type": "string",
        "description": "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
      },
      "proc_lang_fallback": {
        "type": "string",
        "description": "default language code: en"
      },
      "proc_annotate_language": {
        "type": "string",
        "description": "Language annotation. Allowed values: annotate_if_not_set, use_default. Default e annotate_if_not_set."
      },
      "proc_annotate_sentiment": {
        "type": "string",
        "description": "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "dataset_id": {
        "type": "string",
        "description": "Dataset Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id",
      "dataset_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_create\_project\_document

Modify a batch of documents

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                                                                            |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `annotate`                | string | No       | —       | Talkwalker API recalculates set field based on the updated content.                                                                                    |
| `return_entry`            | string | No       | —       | Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide                                               |
| `proc_tokens_calc`        | string | No       | —       | Specifies when and which tokens are generated. Allowed values: all\_if\_new, all\_always\_if\_possible. default value: all\_if\_new                    |
| `proc_lang_autodetect`    | string | No       | —       | Specifies when the language is automatically detected Allowed values: only\_if\_new, always\_if\_new\_content. Fefault value: only\_if\_new            |
| `proc_content_ellipsis`   | string | No       | —       | Special behavior for ellipsis in string fields. Allowed values: no\_special\_handling, ignore\_if\_start\_same. Default value: ignore\_if\_start\_same |
| `proc_lang_fallback`      | string | No       | —       | default language code: en                                                                                                                              |
| `proc_annotate_language`  | string | No       | —       | Language annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                      |
| `proc_annotate_sentiment` | string | No       | —       | Sentiment annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                     |
| `project_id`              | string | Yes      | —       | Project Id                                                                                                                                             |
| `body`                    | object | No       | —       | Request body                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "annotate": {
        "type": "string",
        "description": "Talkwalker API recalculates set field based on the updated content."
      },
      "return_entry": {
        "type": "string",
        "description": "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
      },
      "proc_tokens_calc": {
        "type": "string",
        "description": "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
      },
      "proc_lang_autodetect": {
        "type": "string",
        "description": "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
      },
      "proc_content_ellipsis": {
        "type": "string",
        "description": "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
      },
      "proc_lang_fallback": {
        "type": "string",
        "description": "default language code: en"
      },
      "proc_annotate_language": {
        "type": "string",
        "description": "Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "proc_annotate_sentiment": {
        "type": "string",
        "description": "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_delete\_project\_custom\_metric

Delete custom metrics

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_delete\_project\_custom\_metric\_by\_name

Delete specific custom metric

**Parameters:**

| Parameter     | Type   | Required | Default | Description          |
| ------------- | ------ | -------- | ------- | -------------------- |
| `project_id`  | string | Yes      | —       | Project Id           |
| `metric_name` | string | Yes      | —       | Custom metric's name |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "metric_name": {
        "type": "string",
        "description": "Custom metric's name"
      }
    },
    "required": [
      "PCID",
      "project_id",
      "metric_name"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_delete\_project\_topics

Delete a batch of topics

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_get\_detect\_images

Process an image by URL

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                                       |
| ----------- | ------ | -------- | ------- | ----------------------------------------------------------------- |
| `image_url` | string | Yes      | —       | URL where to download the image.                                  |
| `detect`    | string | No       | —       | Only for logos, List of logo IDs to detect in the image.          |
| `model`     | string | Yes      | —       | The mode of the detection. Allowed values: logo, object or scene. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "image_url": {
        "type": "string",
        "description": "URL where to download the image."
      },
      "detect": {
        "type": "string",
        "description": "Only for logos, List of logo IDs to detect in the image."
      },
      "model": {
        "type": "string",
        "description": "The mode of the detection. Allowed values: logo, object or scene."
      }
    },
    "required": [
      "PCID",
      "image_url",
      "model"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_get\_project\_resources

List of resources

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                                            |
| ------------ | ------ | -------- | ------- | -------------------------------------------------------------------------------------- |
| `type`       | string | No       | —       | Filter on the type of resources. Allowed values: search, filter, page, event or panel. |
| `project_id` | string | Yes      | —       | Project Id                                                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "type": {
        "type": "string",
        "description": "Filter on the type of resources. Allowed values: search, filter, page, event or panel."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_get\_project\_tags

List of custom tags

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `project_id` | string | Yes      | —       | Project Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_get\_project\_topic

Retrieve definition of a specific topic

**Parameters:**

| Parameter    | Type   | Required | Default | Description           |
| ------------ | ------ | -------- | ------- | --------------------- |
| `project_id` | string | Yes      | —       | Project Id            |
| `topic_id`   | string | Yes      | —       | topic ID or filter ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "topic_id": {
        "type": "string",
        "description": "topic ID or filter ID"
      }
    },
    "required": [
      "PCID",
      "project_id",
      "topic_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_get\_project\_views

List of views

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `project_id` | string | Yes      | —       | Project Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_import\_project\_topics

Create or update a batch of topics

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_list\_project\_custom\_metrics

List of custom metrics

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `project_id` | string | Yes      | —       | Project Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_list\_project\_source\_panels

List all panels with their members

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `project_id` | string | Yes      | —       | Project Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_list\_project\_topics

List topics with definitions

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `project_id` | string | Yes      | —       | Project Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_perform\_dataset\_document\_action

Modify simple review

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                                                                            |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `annotate`                | string | No       | —       | Talkwalker API recalculates set field based on the updated content.                                                                                    |
| `return_entry`            | string | No       | —       | Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide                                               |
| `proc_tokens_calc`        | string | No       | —       | Specifies when and which tokens are generated. Allowed values: all\_if\_new, all\_always\_if\_possible. default value: all\_if\_new                    |
| `proc_lang_autodetect`    | string | No       | —       | Specifies when the language is automatically detected Allowed values: only\_if\_new, always\_if\_new\_content. Fefault value: only\_if\_new            |
| `proc_content_ellipsis`   | string | No       | —       | Special behavior for ellipsis in string fields. Allowed values: no\_special\_handling, ignore\_if\_start\_same. Default value: ignore\_if\_start\_same |
| `proc_lang_fallback`      | string | No       | —       | default language code: en                                                                                                                              |
| `proc_annotate_language`  | string | No       | —       | Language annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                      |
| `proc_annotate_sentiment` | string | No       | —       | Sentiment annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                     |
| `project_id`              | string | Yes      | —       | Project Id                                                                                                                                             |
| `dataset_id`              | string | Yes      | —       | Dataset Id                                                                                                                                             |
| `action`                  | string | Yes      | —       | Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete.                                                            |
| `body`                    | object | No       | —       | Request body                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "annotate": {
        "type": "string",
        "description": "Talkwalker API recalculates set field based on the updated content."
      },
      "return_entry": {
        "type": "string",
        "description": "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
      },
      "proc_tokens_calc": {
        "type": "string",
        "description": "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
      },
      "proc_lang_autodetect": {
        "type": "string",
        "description": "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
      },
      "proc_content_ellipsis": {
        "type": "string",
        "description": "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
      },
      "proc_lang_fallback": {
        "type": "string",
        "description": "default language code: en"
      },
      "proc_annotate_language": {
        "type": "string",
        "description": "Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "proc_annotate_sentiment": {
        "type": "string",
        "description": "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "dataset_id": {
        "type": "string",
        "description": "Dataset Id"
      },
      "action": {
        "type": "string",
        "description": "Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete."
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id",
      "dataset_id",
      "action"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_perform\_project\_document\_action

Modify simple document

**Parameters:**

| Parameter                 | Type   | Required | Default | Description                                                                                                                                            |
| ------------------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `annotate`                | string | No       | —       | Talkwalker API recalculates set field based on the updated content.                                                                                    |
| `return_entry`            | string | No       | —       | Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide                                               |
| `proc_tokens_calc`        | string | No       | —       | Specifies when and which tokens are generated. Allowed values: all\_if\_new, all\_always\_if\_possible. default value: all\_if\_new                    |
| `proc_lang_autodetect`    | string | No       | —       | Specifies when the language is automatically detected Allowed values: only\_if\_new, always\_if\_new\_content. Fefault value: only\_if\_new            |
| `proc_content_ellipsis`   | string | No       | —       | Special behavior for ellipsis in string fields. Allowed values: no\_special\_handling, ignore\_if\_start\_same. Default value: ignore\_if\_start\_same |
| `proc_lang_fallback`      | string | No       | —       | default language code: en                                                                                                                              |
| `proc_annotate_language`  | string | No       | —       | Language annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                      |
| `proc_annotate_sentiment` | string | No       | —       | Sentiment annotation. Allowed values: annotate\_if\_not\_set, use\_default. Default value: annotate\_if\_not\_set.                                     |
| `project_id`              | string | Yes      | —       | Project Id                                                                                                                                             |
| `action`                  | string | Yes      | —       | Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete.                                                            |
| `body`                    | object | No       | —       | Request body                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "annotate": {
        "type": "string",
        "description": "Talkwalker API recalculates set field based on the updated content."
      },
      "return_entry": {
        "type": "string",
        "description": "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
      },
      "proc_tokens_calc": {
        "type": "string",
        "description": "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
      },
      "proc_lang_autodetect": {
        "type": "string",
        "description": "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
      },
      "proc_content_ellipsis": {
        "type": "string",
        "description": "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
      },
      "proc_lang_fallback": {
        "type": "string",
        "description": "default language code: en"
      },
      "proc_annotate_language": {
        "type": "string",
        "description": "Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "proc_annotate_sentiment": {
        "type": "string",
        "description": "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "action": {
        "type": "string",
        "description": "Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete."
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id",
      "action"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_post\_detect\_images

Process an image by file

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                       |
| ------------ | ------ | -------- | ------- | ----------------------------------------------------------------- |
| `model`      | string | Yes      | —       | The mode of the detection. Allowed values: logo, object or scene. |
| `image_file` | string | No       | —       | Filename of the image to be past as multipart/form-data.          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "model": {
        "type": "string",
        "description": "The mode of the detection. Allowed values: logo, object or scene."
      },
      "image_file": {
        "type": "string",
        "description": "Filename of the image to be past as multipart/form-data."
      }
    },
    "required": [
      "PCID",
      "model"
    ]
  }
  ```
</Expandable>

***

## talkwalker\_content\_update\_project\_custom\_metric

Update custom metrics

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `project_id` | string | Yes      | —       | Project Id   |
| `body`       | object | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_id": {
        "type": "string",
        "description": "Project Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "project_id"
    ]
  }
  ```
</Expandable>
